import {
	cloudRulesApiFun
} from "@/common/api/cloud_rules.js"
import {
	commonApiFun
} from '@/common/api/common.js';
import {
	take_orderApiFun
} from '@/common/api/take_order.js';
import {
	settledApiFun
} from '@/common/api/settled.js';
let apiFun = function(vm) {
	let commonApi = commonApiFun(vm);
	let take_orderApi = take_orderApiFun(vm);
	let settledApi = settledApiFun(vm)
	let cloudApi = cloudRulesApiFun(vm)
	let apiUrl = {
		...commonApi,
		...take_orderApi,
		...settledApi,
		...cloudApi
	}
	return apiUrl
}

module.exports = {
	apiFun
}
